<?php

session_start();
include '../config/database.php';
include_once '../security/session_config.php';
include_once '../security/csrf.php';
include_once '../config/properties.php';
include_once "../resources/forum.php";

$csrf_token = $_POST['csrf_token'];
validate_csrf_request($csrf_token);

// initialize objects
$forum = new Forum();

$result = FALSE;

$response_id = $_POST['response_id'];

$forum->response_id = $response_id;

if ($forum->delete_question_response()) {
    $forum->delete_question_response_spam();
    $result = TRUE;
}
echo $result;
?>

